<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Material](./bitburner.material.md)

## Material interface

Material in a warehouse

**Signature:**

```typescript
interface Material 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [actualSellAmount](./bitburner.material.actualsellamount.md) |  | number | Amount of material sold last cycle |
|  [competition](./bitburner.material.competition.md) |  | number \| undefined | Competition for the material, only present if "Market Research - Competition" unlocked |
|  [demand](./bitburner.material.demand.md) |  | number \| undefined | Demand for the material, only present if "Market Research - Demand" unlocked |
|  [desiredSellAmount](./bitburner.material.desiredsellamount.md) |  | string \| number | Sell amount, can be "PROD/2" |
|  [desiredSellPrice](./bitburner.material.desiredsellprice.md) |  | string \| number | Sell cost, can be "MP+5" |
|  [exports](./bitburner.material.exports.md) |  | [Export](./bitburner.export.md)<!-- -->\[\] | Export orders |
|  [marketPrice](./bitburner.material.marketprice.md) |  | number | Cost to buy material |
|  [name](./bitburner.material.name.md) |  | [CorpMaterialName](./bitburner.corpmaterialname.md) | Name of the material |
|  [productionAmount](./bitburner.material.productionamount.md) |  | number | Amount of material produced last cycle |
|  [quality](./bitburner.material.quality.md) |  | number | Quality of the material |
|  [stored](./bitburner.material.stored.md) |  | number | Amount of material |

